package cc.smtweb.framework.core.mvc.filter;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Author yaoq
 * @Date 2022年07月20日 10:38
 * @Description
 */
@Data
@Component
@Configuration
@ConfigurationProperties(prefix = "http-config.res")
public class HttpSecurityConfig {

    private Map<String, String> configs;

    @Override
    public String toString() {
        if (configs == null) {
            return "";
        }
        return configs.toString();
    }
}


